<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="net.educoder.ecsonar.dao.FileSourceDao">


    <select id="findFileSourceFileUuid" parameterType="java.lang.String" resultType="net.educoder.ecsonar.model.FileSource">
        select
            id,
            project_uuid as projectUuid,
            file_uuid as fileUuid,
            binary_data as binaryData,
            line_hashes as lineHashes,
            data_hash as dataHash,
            src_hash as srcHash
        from file_sources where file_uuid=#{fileUuid,jdbcType=VARCHAR}
    </select>


</mapper>
